=== debian/changelog ===
vfu (4.21-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply cross tools. (Closes: #966684)

  [ Boian Bonev ]
  * Update to new upstream release of 4.21
  * Remove all patches merged upstream
  * Simplify debian/rules as most of the things are included upstream
  * README removed from upstream

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 01 Aug 2020 17:15:37 +0200

vfu (4.20-1) unstable; urgency=medium

  * Update to new upstream release of 4.20.
  * Remove all patches merged upstream
  * Add Vcs-* tags

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 29 Jul 2020 01:46:19 +0000

vfu (4.18-2) unstable; urgency=medium

  * New maintainer (Closes: #847513)
  * Update Standards-Version to 4.5.0
  * Update compat level to 13
  * Fix lintian executable-in-usr-lib
    - Install all internally used helpers in /usr/libexec/vfu
    - Patch rx_auto to use the above path
  * Reformat debian/copyright to be machine readable
  * Fix build on Hurd
    - use sys/vfs.h instead of sys/mount.h
  * Add checking upstream tarball GPG signature
  * Add lintian override for repackaged source signature check
    - 4.18 upstream tarball contains executable and object files
      that are excluded in the repackaged archive. The original
      tarball is not regenerated; the one from the previous upload
      is used instead
  * Fix FTCBFS: (Closes: #950980)
    - rework the patch from Helmut Grohne <helmut@subdivi.de>
      in a way that uses defines in debian/rules instead of patching source
  * Fix buffer overruns in many places
    - discovered after enabling fortified build
  * Fix typos in man page
  * Fix possible permission race conditions in rx_*

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 25 Jul 2020 00:05:15 +0300
