=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS+=hardening=+bindnow

%:
	dh $@ --buildsystem=makefile --without=autoreconf

override_dh_auto_build:
	dh_auto_build -- \
		STRIP=:

override_dh_auto_install:
	install vfu/vfu debian/vfu/usr/bin
	install rx/rx_* debian/vfu/usr/libexec/vfu
	install -m644 vfu.conf debian/vfu/etc
